/**************************************************
*   Author: Morrison
*   Date:  21 Oct 202020
**************************************************/

import javafx.application.Application;
import javafx.application.Platform;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Menu;
import javafx.scene.control.MenuItem;
import javafx.scene.control.MenuBar;
import javafx.scene.layout.BorderPane;

public class MenuDemo extends Application
{
    public MenuDemo()
    {
    }
    
    @Override
    public void init()
    {
    }

    @Override
    public void start(Stage primary)
    {
        primary.setTitle("Menu Demonstration");
        BorderPane bp = new BorderPane();
        primary.setScene(new Scene(bp, 600,600));
        bp.setTop(buildMenus());
        primary.show();
    }
    private MenuBar buildMenus()
    {
        MenuBar mbar = new MenuBar();
        Menu fileMenu = new Menu("File");
        Menu editMenu = new Menu("Edit");
        mbar.getMenus().addAll(fileMenu, editMenu);
        MenuItem newItem = new MenuItem("New");
        MenuItem openItem = new MenuItem("Open...");
        MenuItem saveItem = new MenuItem("Save");
        MenuItem saveAsItem = new MenuItem("Save As...");
        MenuItem quitItem = new MenuItem("Quit");
        quitItem.setOnAction( e -> Platform.exit());
        fileMenu.getItems().addAll(newItem, openItem, saveItem, saveAsItem, quitItem);
        return mbar;
    }
    @Override
    public void stop()
    {
    }
}
